@import "../../../../styles.scss";
.report {
    width: 100%;
    height: 100%;
    // padding: 10px;

    .btn-create {
        cursor: pointer;
        color: $main;
    }
    .report-list {
        width: 100%;
        height: calc(100% - 50px);
        overflow-y: auto;
    }

    .report-item {
        .date {
            width: 70px;
        }

        .line {
            position: relative;
            width: 2px;
            height: auto;
            margin-left: 15px;
            margin-right: 15px;
            border-left: 2px solid gray;
            .point-action {
                position: absolute;
                top: 0px;
                left: -13px;
                background-color: white;
                color: orange;
            }

            .point-action-done {
                color: green;
            }

            .point-situation {
                position: absolute;
                top: 0px;
                left: -13px;
                background-color: white;
                color: orange;
            }

            .point-situation-done {
                color: green;
            }
        }
        .none-line {
            border-left: 2px solid white;
        }

        .description {
            margin-top: 3px;
            width: 278px;
            padding-bottom: 10px;
            padding: 5px;
            box-shadow:
                rgba(0, 0, 0, 0.05) 0px 6px 24px 0px,
                rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
            border-radius: 5px;

            .responsible {
                padding: 5px;
                border-top: 1px solid $boderColor;
            }
        }
    }
    .list {
        height: 100%;
    }
    .create-repot {
        height: 100%;
    }

    .responsible-repot {
        height: 100%;
    }
    .file-item {
        // position: relative;
        width: calc(50% - 20px);
        margin: 10px;
        padding: 0px !important;
        // border: 1px solid $boderColor;
        // border-radius: 4px;
    }
}

.report-detail-modal {
    padding: 10px;
}

.modal-delete {
    input::placeholder {
        font-size: 12px !important;
    }
    input {
        font-size: 12px !important;
        padding: 0px 5px 0px !important;
        margin-top: 5px !important;
    }
    ::ng-deep.mat-mdc-text-field-wrapper.mdc-text-field--outlined .mat-mdc-form-field-infix {
        padding-top: 0px !important;
        padding-bottom: 4px !important;
    }
    ::ng-deep .mat-mdc-text-field-wrapper {
        height: $inputHeight !important;
        padding: 0px !important;
    }
    ::ng-deep.mat-mdc-form-field-flex {
        height: $inputHeight !important;
    }
}
